summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-embedded')
-rw-r--r--dev-embedded/esptool/Manifest5
-rw-r--r--dev-embedded/esptool/esptool-3.3.1.ebuild4
-rw-r--r--dev-embedded/esptool/esptool-3.3.2.ebuild (renamed from dev-embedded/esptool/esptool-3.2.ebuild)17
-rw-r--r--dev-embedded/esptool/esptool-4.2.1.ebuild4
-rw-r--r--dev-embedded/esptool/esptool-4.3.ebuild68
-rw-r--r--dev-embedded/esptool/esptool-4.4.ebuild (renamed from dev-embedded/esptool/esptool-4.1.ebuild)21
-rw-r--r--dev-embedded/gpsim/gpsim-0.31.0.ebuild2
-rw-r--r--dev-embedded/jal/metadata.xml6
-rw-r--r--dev-embedded/libftd2xx/libftd2xx-1.4.8.ebuild8
-rw-r--r--dev-embedded/libftdi/libftdi-0.20-r1.ebuild6
-rw-r--r--dev-embedded/libftdi/libftdi-1.5-r4.ebuild (renamed from dev-embedded/libftdi/libftdi-1.5-r3.ebuild)16
-rw-r--r--dev-embedded/libftdi/libftdi-9999.ebuild16
-rw-r--r--dev-embedded/libjaylink/Manifest1
-rw-r--r--dev-embedded/libjaylink/libjaylink-0.2.0.ebuild36
-rw-r--r--dev-embedded/libjaylink/libjaylink-0.3.1.ebuild2
-rw-r--r--dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0.ebuild4
-rw-r--r--dev-embedded/openocd/Manifest1
-rw-r--r--dev-embedded/openocd/files/openocd-0.12.0-capstone-includedir.patch40
-rw-r--r--dev-embedded/openocd/openocd-0.12.0.ebuild109
-rw-r--r--dev-embedded/openocd/openocd-9999.ebuild29
-rw-r--r--dev-embedded/parapin/metadata.xml12
-rw-r--r--dev-embedded/picotool/picotool-1.1.0.ebuild2
-rw-r--r--dev-embedded/platformio/Manifest3
-rw-r--r--dev-embedded/platformio/files/platformio-5.2.5-fix-semantic-version-dep.patch12
-rw-r--r--dev-embedded/platformio/platformio-6.1.4.ebuild116
-rw-r--r--dev-embedded/platformio/platformio-6.1.5.ebuild (renamed from dev-embedded/platformio/platformio-6.0.2-r1.ebuild)25
-rw-r--r--dev-embedded/rpi-eeprom/Manifest6
-rw-r--r--dev-embedded/rpi-eeprom/rpi-eeprom-13.19_p1.ebuild (renamed from dev-embedded/rpi-eeprom/rpi-eeprom-13.8_p1.ebuild)6
-rw-r--r--dev-embedded/rpi-eeprom/rpi-eeprom-13.3_p1-r1.ebuild4
-rw-r--r--dev-embedded/rpi-eeprom/rpi-eeprom-15.0_p1.ebuild94
-rw-r--r--dev-embedded/u-boot-tools/Manifest3
-rw-r--r--dev-embedded/u-boot-tools/u-boot-tools-2022.10.ebuild (renamed from dev-embedded/u-boot-tools/u-boot-tools-2022.07.ebuild)2
-rw-r--r--dev-embedded/u-boot-tools/u-boot-tools-2023.01.ebuild81
-rw-r--r--dev-embedded/uisp/metadata.xml11
-rw-r--r--dev-embedded/xa/xa-2.3.13.ebuild2
35 files changed, 495 insertions, 279 deletions
diff --git a/dev-embedded/esptool/Manifest b/dev-embedded/esptool/Manifest
index b3fb8f37848..c1383c0aec5 100644
--- a/dev-embedded/esptool/Manifest
+++ b/dev-embedded/esptool/Manifest
@@ -1,4 +1,5 @@
-DIST esptool-3.2.tar.gz 7155428 BLAKE2B f81a8b77f1994599c3302915915e225249a5e735accbe47c8936de47564e47a33ae711df47c57e599d980b450dc4d710f819087a97d086b9d0f15a98622c0da4 SHA512 5e67b3a17190e051d7706ee2dbbe855488765a7bfed15b15f5a04022c3fbf19112905ba6a672c37b1bac5501d45d477cfff07c004cd83b2d1a111430992cefc1
DIST esptool-3.3.1.tar.gz 7261340 BLAKE2B c6ee391dcbc331d9f931bfd969333fc3bfc5628d422d52e2963c9d465f4680dca5debaf17cd2f6aca0db9dcc06563fe775d7d6c15dacdff481c52577c26d4364 SHA512 8da34f7b555513d499141ce403f19c3e77b6944eecde440c757faf3bbf5e915e44ff0bcabf1b2cb7f5fe26caa717bb47104ad808c46feaf1dea254d548048095
-DIST esptool-4.1.tar.gz 7275429 BLAKE2B d89e0d2b90a9005deea71ba14328c5616062d0ada82c309fa4ad4f4c3861e0683b99e70328d6ae60f0fc0e788e25d6b0a4e39596c1c6cfac0e779840ec796f18 SHA512 b9df8d361fe1a97f0649fed03abc919df1c2ff118dc4dd05abeec641ba2d16e6c308894bd91657768e03a6801ec9e5393e573b4c3016b624e842fef7c6354b41
+DIST esptool-3.3.2.tar.gz 7263375 BLAKE2B 8a24a94c5d8acaa9647a5057cbacb57bdf292651529572d7084dbee1013b6174a383bebacccd75bb08e6de94054f28303d5a9b182f0d30dad9081fd8d61d1c4d SHA512 9f31ab5b702c8aede2062a27943fa655d7fbb07fb4c4c377f2ab5552e5453e7c8126bacc5b8e1e859ee6b81e21a75ed1343639815e395b974cc1aaa005367d84
DIST esptool-4.2.1.tar.gz 7271498 BLAKE2B af1c17e08cad057e4534599481da6366460e9eff02de0dfe1cd1163885d315cefd780e034550e7cf09f09f4f3430108675722b9a57109a94c5519bf0c0c158b2 SHA512 b2b7209371330ae0764da5650b48a37ec750a3514951b8e39576b4e54ea682e2a43faf56ce95327071fe88bf4f74762a39483e1edfe2bdf9c5457537888c469f
+DIST esptool-4.3.tar.gz 7216987 BLAKE2B 9c48b6884667913b5ffe8d0bef22fcb27142a42a89c802f2f1f2f5355d1a967c398f86a398574310fcb1de5b37a1f5fb7e9e7f78058e5ad38008b097d8debd66 SHA512 aa761dae802d67553096698b40a97ae1fa33995dbc81a16a521ffa3ed1ec87470b1457853e4a1aaedfb94c46770e58712a25cac62a4bd05d85503881e507b493
+DIST esptool-4.4.tar.gz 7213588 BLAKE2B a88269ff1bfe2e865dab73cafe2bb567fab027f0679c078a9b7c03b8705763390e3e774ff20ebec0d3dbee5a29d1b1e3d2c1931a3a18ff59b82321a6d0ee0da7 SHA512 97d44a5553be380a2d26469bea42b6995c0d97fa3d50e0f6c1673548801983243d204d140ecfc17ee6c9f9c6580e6c6c42a6e953655a06053fa56064af650cf8
diff --git a/dev-embedded/esptool/esptool-3.3.1.ebuild b/dev-embedded/esptool/esptool-3.3.1.ebuild
index fb5d371d3bb..0cda006a3dc 100644
--- a/dev-embedded/esptool/esptool-3.3.1.ebuild
+++ b/dev-embedded/esptool/esptool-3.3.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2021-2022 Gentoo Authors
+# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
DISTUTILS_SINGLE_IMPL=1
inherit distutils-r1
diff --git a/dev-embedded/esptool/esptool-3.2.ebuild b/dev-embedded/esptool/esptool-3.3.2.ebuild
index ff024776543..4c1b59d3dce 100644
--- a/dev-embedded/esptool/esptool-3.2.ebuild
+++ b/dev-embedded/esptool/esptool-3.3.2.ebuild
@@ -1,9 +1,10 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..9} )
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
DISTUTILS_SINGLE_IMPL=1
inherit distutils-r1
@@ -14,7 +15,7 @@ SRC_URI="https://github.com/espressif/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
@@ -38,9 +39,9 @@ BDEPEND="
"
python_test() {
- ${EPYTHON} test/test_imagegen.py || die "imagegen test failed with ${EPYTHON}"
- ${EPYTHON} test/test_espsecure.py || die "espsecure test failed with ${EPYTHON}"
- ${EPYTHON} test/test_espefuse_host.py || die "espefuse_host test failed with ${EPYTHON}"
- ${EPYTHON} test/test_merge_bin.py || die "espefuse_host test failed with ${EPYTHON}"
- # test/test_rfc2217.py test/test_esptool.py and test/test_espefuse.py need real hardware connected
+ "${EPYTHON}" test/test_imagegen.py || die "imagegen test failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espsecure.py || die "espsecure test failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py || die "espefuse_host test failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_merge_bin.py || die "espefuse_host test failed with ${EPYTHON}"
+ # test/test_esptool.py and test/test_espefuse.py need real hardware connected
}
diff --git a/dev-embedded/esptool/esptool-4.2.1.ebuild b/dev-embedded/esptool/esptool-4.2.1.ebuild
index 16c7d1459d5..cdfa690dbb3 100644
--- a/dev-embedded/esptool/esptool-4.2.1.ebuild
+++ b/dev-embedded/esptool/esptool-4.2.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2021-2022 Gentoo Authors
+# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
DISTUTILS_SINGLE_IMPL=1
inherit distutils-r1
diff --git a/dev-embedded/esptool/esptool-4.3.ebuild b/dev-embedded/esptool/esptool-4.3.ebuild
new file mode 100644
index 00000000000..98189323de6
--- /dev/null
+++ b/dev-embedded/esptool/esptool-4.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1
+
+DESCRIPTION="Utility to communicate with the ROM bootloader in Espressif ESP8266 and ESP32"
+HOMEPAGE="https://github.com/espressif/esptool"
+SRC_URI="https://github.com/espressif/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/bitstring[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/ecdsa-0.16.0[${PYTHON_USEDEP}]
+ dev-python/pyserial[${PYTHON_USEDEP}]
+ dev-python/reedsolomon[${PYTHON_USEDEP}]
+ ')
+"
+BDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ')
+ test? ( $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/pyelftools[${PYTHON_USEDEP}]
+ ') )
+"
+
+python_test() {
+ "${EPYTHON}" test/test_imagegen.py || die "test_imagegen.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espsecure.py || die "test_espsecure.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_merge_bin.py || die "test_merge_bin.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_image_info.py || die "test_image_info.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_modules.py || die "test_modules.py failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32|| die "test_espefuse_host.py esp32 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32c2 || die "test_espefuse_host.py esp32c2 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32c3 || die "test_espefuse_host.py esp32c3 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32s2 || die "test_espefuse_host.py esp32s2 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32s3 || die "test_espefuse_host.py esp32s3 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32s3beta2 || die "test_espefuse_host.py esp32s3beta2 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32h2beta1 || die "test_espefuse_host.py esp32h2beta1 failed with ${EPYTHON}"
+ "${EPYTHON}" test/test_espefuse_host.py esp32c6 || die "test_espefuse_host.py esp32c6 failed with ${EPYTHON}"
+ # test/test_esptool.py and test/test_espefuse.py need real hardware connected
+}
+
+pkg_postinst() {
+ if ver_test ${REPLACING_VERSIONS} -lt 4; then
+ ewarn "${P} - new 4.x release with breaking changes:"
+ ewarn " - Public API has been defined by limiting access to internals that have been refactored into multiple source files"
+ ewarn " - If active security features are detected, the default behavior changes to prevent unintentional bricking"
+ ewarn " - Flash parameters in an image header can now be changed only when no SHA256 digest is appended"
+ ewarn " - The ESP8684 alias has been removed, ESP32-C2 has to be used"
+ ewarn " - Megabit flash sizes have been deprecated, use megabyte units from now on"
+ fi
+}
diff --git a/dev-embedded/esptool/esptool-4.1.ebuild b/dev-embedded/esptool/esptool-4.4.ebuild
index 16c7d1459d5..618e4d42bb6 100644
--- a/dev-embedded/esptool/esptool-4.1.ebuild
+++ b/dev-embedded/esptool/esptool-4.4.ebuild
@@ -1,9 +1,10 @@
-# Copyright 2021-2022 Gentoo Authors
+# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
DISTUTILS_SINGLE_IMPL=1
inherit distutils-r1
@@ -15,8 +16,6 @@ SRC_URI="https://github.com/espressif/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
RDEPEND="
$(python_gen_cond_dep '
@@ -33,19 +32,17 @@ BDEPEND="
')
test? ( $(python_gen_cond_dep '
dev-python/cffi[${PYTHON_USEDEP}]
- dev-python/coverage[${PYTHON_USEDEP}]
dev-python/pyelftools[${PYTHON_USEDEP}]
') )
"
-python_test() {
- "${EPYTHON}" test/test_imagegen.py || die "test_imagegen.py failed with ${EPYTHON}"
- "${EPYTHON}" test/test_espsecure.py || die "test_espsecure.py failed with ${EPYTHON}"
- "${EPYTHON}" test/test_espefuse_host.py || die "test_espefuse_host.py failed with ${EPYTHON}"
- "${EPYTHON}" test/test_merge_bin.py || die "test_merge_bin.py failed with ${EPYTHON}"
- "${EPYTHON}" test/test_modules.py || die "test_modules.py failed with ${EPYTHON}"
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
# test/test_esptool.py and test/test_espefuse.py need real hardware connected
-}
+ test/test_esptool.py
+ test/test_espefuse.py
+)
pkg_postinst() {
if ver_test ${REPLACING_VERSIONS} -lt 4; then
diff --git a/dev-embedded/gpsim/gpsim-0.31.0.ebuild b/dev-embedded/gpsim/gpsim-0.31.0.ebuild
index 115d430bb49..702af55fcda 100644
--- a/dev-embedded/gpsim/gpsim-0.31.0.ebuild
+++ b/dev-embedded/gpsim/gpsim-0.31.0.ebuild
@@ -22,7 +22,7 @@ DEPEND="${RDEPEND}"
BDEPEND="
sys-devel/flex
virtual/pkgconfig
- virtual/yacc
+ app-alternatives/yacc
"
DOCS=( ANNOUNCE AUTHORS ChangeLog HISTORY PROCESSORS README README.MODULES TODO )
diff --git a/dev-embedded/jal/metadata.xml b/dev-embedded/jal/metadata.xml
index 13798e9369b..d57ae0cb0cd 100644
--- a/dev-embedded/jal/metadata.xml
+++ b/dev-embedded/jal/metadata.xml
@@ -6,9 +6,9 @@
<name>Embedded Gentoo</name>
</maintainer>
<longdescription>
-Jal is a high-level language for a number of Microchip (TM) PIC microcontrollers (16c84, 16f84, 12c508,
-12c509, 16F877) and Ubicom SX (SX18 and SX28) microcontrollers
-</longdescription>
+ Jal is a high-level language for a number of Microchip (TM) PIC microcontrollers (16c84, 16f84, 12c508,
+ 12c509, 16F877) and Ubicom SX (SX18 and SX28) microcontrollers
+ </longdescription>
<upstream>
<remote-id type="sourceforge">jal</remote-id>
</upstream>
diff --git a/dev-embedded/libftd2xx/libftd2xx-1.4.8.ebuild b/dev-embedded/libftd2xx/libftd2xx-1.4.8.ebuild
index 84c41eeda6d..7cc07d14af9 100644
--- a/dev-embedded/libftd2xx/libftd2xx-1.4.8.ebuild
+++ b/dev-embedded/libftd2xx/libftd2xx-1.4.8.ebuild
@@ -4,12 +4,12 @@
EAPI=7
DESCRIPTION="Library that allows a direct access to a USB device"
-HOMEPAGE="http://www.ftdichip.com/Drivers/D2XX.htm"
+HOMEPAGE="https://www.ftdichip.com/drivers/d2xx-drivers/"
# NOTE: We could include other arm versions here too.
SRC_URI="
- amd64? ( http://www.ftdichip.com/Drivers/D2XX/Linux/${PN}-x86_64-${PV}.gz -> ${PN}-x86_64-${PV}.tar.gz )
- arm? ( http://www.ftdichip.com/Drivers/D2XX/Linux/${PN}-arm-v6-hf-${PV}.gz -> ${PN}-arm-v6-hf-${PV}.tar.gz )
- x86? ( http://www.ftdichip.com/Drivers/D2XX/Linux/${PN}-i386-${PV}.gz -> ${PN}-i386-${PV}.tar.gz )
+ amd64? ( https://www.ftdichip.com/Drivers/D2XX/Linux/${PN}-x86_64-${PV}.gz -> ${PN}-x86_64-${PV}.tar.gz )
+ arm? ( https://www.ftdichip.com/Drivers/D2XX/Linux/${PN}-arm-v6-hf-${PV}.gz -> ${PN}-arm-v6-hf-${PV}.tar.gz )
+ x86? ( https://www.ftdichip.com/Drivers/D2XX/Linux/${PN}-i386-${PV}.gz -> ${PN}-i386-${PV}.tar.gz )
"
S="${WORKDIR}"
diff --git a/dev-embedded/libftdi/libftdi-0.20-r1.ebuild b/dev-embedded/libftdi/libftdi-0.20-r1.ebuild
index c12bf68d6ff..726eafcea6c 100644
--- a/dev-embedded/libftdi/libftdi-0.20-r1.ebuild
+++ b/dev-embedded/libftdi/libftdi-0.20-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit cmake python-single-r1
if [[ ${PV} == 9999* ]] ; then
@@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]] ; then
EGIT_REPO_URI="git://developer.intra2net.com/${PN}"
else
SRC_URI="https://www.intra2net.com/en/developer/${PN}/download/${P}.tar.gz"
- KEYWORDS="amd64 arm ~arm64 ppc ppc64 ~riscv sparc x86"
+ KEYWORDS="amd64 arm ~arm64 ~loong ppc ppc64 ~riscv sparc x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"
diff --git a/dev-embedded/libftdi/libftdi-1.5-r3.ebuild b/dev-embedded/libftdi/libftdi-1.5-r4.ebuild
index e9ceec3285f..ef8da75061c 100644
--- a/dev-embedded/libftdi/libftdi-1.5-r3.ebuild
+++ b/dev-embedded/libftdi/libftdi-1.5-r4.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit cmake python-single-r1
MY_P="${PN}1-${PV}"
@@ -12,12 +12,13 @@ if [[ ${PV} == 9999* ]] ; then
EGIT_REPO_URI="git://developer.intra2net.com/${PN}"
else
SRC_URI="https://www.intra2net.com/en/developer/${PN}/download/${MY_P}.tar.bz2"
- KEYWORDS="amd64 arm arm64 ~mips ppc ppc64 ~riscv sparc x86"
+ S="${WORKDIR}/${MY_P}"
+
+ KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv sparc x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"
HOMEPAGE="https://www.intra2net.com/en/developer/libftdi/"
-S="${WORKDIR}/${MY_P}"
LICENSE="LGPL-2"
SLOT="1"
@@ -71,13 +72,6 @@ src_test() {
src_install() {
cmake_src_install
- # Fix up pkgconfig files
- # bug #766818
- if use cxx ; then
- sed -i -e "s/libftdipp1/libftdi1/" "${ED}"/usr/$(get_libdir)/pkgconfig/libftdi1.pc || die
- sed -i -e "s/libftdi1/libftdipp1/" "${ED}"/usr/$(get_libdir)/pkgconfig/libftdipp1.pc || die
- fi
-
use python && python_optimize
dodoc AUTHORS ChangeLog README TODO
diff --git a/dev-embedded/libftdi/libftdi-9999.ebuild b/dev-embedded/libftdi/libftdi-9999.ebuild
index 36487c2e0df..52d409b5cac 100644
--- a/dev-embedded/libftdi/libftdi-9999.ebuild
+++ b/dev-embedded/libftdi/libftdi-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit cmake python-single-r1
MY_P="${PN}1-${PV}"
@@ -12,12 +12,13 @@ if [[ ${PV} == 9999* ]] ; then
EGIT_REPO_URI="git://developer.intra2net.com/${PN}"
else
SRC_URI="https://www.intra2net.com/en/developer/${PN}/download/${MY_P}.tar.bz2"
- KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+ S="${WORKDIR}/${MY_P}"
+
+ KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"
HOMEPAGE="https://www.intra2net.com/en/developer/libftdi/"
-S="${WORKDIR}/${MY_P}"
LICENSE="LGPL-2"
SLOT="1"
@@ -66,13 +67,6 @@ src_test() {
src_install() {
cmake_src_install
- # Fix up pkgconfig files
- # bug #766818
- if use cxx ; then
- sed -i -e "s/libftdipp1/libftdi1/" "${ED}"/usr/$(get_libdir)/pkgconfig/libftdi1.pc || die
- sed -i -e "s/libftdi1/libftdipp1/" "${ED}"/usr/$(get_libdir)/pkgconfig/libftdipp1.pc || die
- fi
-
use python && python_optimize
dodoc AUTHORS ChangeLog README TODO
diff --git a/dev-embedded/libjaylink/Manifest b/dev-embedded/libjaylink/Manifest
index bb5b029dcc4..dc1bd8e5b02 100644
--- a/dev-embedded/libjaylink/Manifest
+++ b/dev-embedded/libjaylink/Manifest
@@ -1,2 +1 @@
-DIST libjaylink-0.2.0.tar.bz2 59078 BLAKE2B 7928875248972bc00ec46511861e160491f7a53f729e0fbfe3a6d08335532fffc9e285e8a354a390037bebe696b6740bdc422164238947baf5e0fcf8f55c0dd5 SHA512 5a8c458982fdea2025aa3ce774d41cc58a283824dcd90a94531ee5e6ca50d9961b0ebb40a6dd3a97fdfcb44625437d685151560185449c3161fe399e0651da44
DIST libjaylink-0.3.1.tar.bz2 61062 BLAKE2B 7a220b7e1ae1818b9d65d6bb92b282516ce6e4144ce77ee8b77088ebc92f9a091ae04a78c043afaa90ee9f737baa7c2fcd0a9237b60662af0d858fb24cef1c5e SHA512 4964e522cb59f59db444ca350529dd3695e2ccb451f7607e2c14074bafe47688f35b2e8b3304170a611db2d21040f3f98c95def179cf4f95733287986811fd78
diff --git a/dev-embedded/libjaylink/libjaylink-0.2.0.ebuild b/dev-embedded/libjaylink/libjaylink-0.2.0.ebuild
deleted file mode 100644
index 81f3e444b53..00000000000
--- a/dev-embedded/libjaylink/libjaylink-0.2.0.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-inherit autotools multilib-minimal
-
-DESCRIPTION="Library to access J-Link devices"
-HOMEPAGE="https://gitlab.zapb.de/libjaylink/libjaylink"
-
-SRC_URI="https://gitlab.zapb.de/libjaylink/libjaylink/-/archive/${PV}/${P}.tar.bz2"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 arm ~riscv x86"
-IUSE="static-libs"
-
-DEPEND="virtual/libusb:1[${MULTILIB_USEDEP}]"
-RDEPEND="${DEPEND}"
-BDEPEND="virtual/pkgconfig"
-
-src_prepare() {
- sed -i -e "/^JAYLINK_CFLAGS=/ s/ -Werror / /" configure.ac || die
- eapply_user
- eautoreconf
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- econf $(use_enable static-libs static)
-}
-
-multilib_src_install_all() {
- einstalldocs
- use static-libs || find "${D}" -name '*.la' -delete || die
-}
diff --git a/dev-embedded/libjaylink/libjaylink-0.3.1.ebuild b/dev-embedded/libjaylink/libjaylink-0.3.1.ebuild
index 8601f4cec5f..acb1508d817 100644
--- a/dev-embedded/libjaylink/libjaylink-0.3.1.ebuild
+++ b/dev-embedded/libjaylink/libjaylink-0.3.1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://gitlab.zapb.de/libjaylink/libjaylink/-/archive/${PV}/${P}.tar.b
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~riscv ~x86"
+KEYWORDS="amd64 arm ~riscv x86"
DEPEND="virtual/libusb:1"
RDEPEND="${DEPEND}"
diff --git a/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0.ebuild b/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0.ebuild
index f8f4861793b..d6a6dde1341 100644
--- a/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0.ebuild
+++ b/dev-embedded/nodemcu-uploader/nodemcu-uploader-1.0.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit distutils-r1
DESCRIPTION="Simple tool for uploading files to the filesystem of an ESP8266 running NodeMCU"
diff --git a/dev-embedded/openocd/Manifest b/dev-embedded/openocd/Manifest
index 399fea8ec02..df295ecbf13 100644
--- a/dev-embedded/openocd/Manifest
+++ b/dev-embedded/openocd/Manifest
@@ -1 +1,2 @@
DIST openocd-0.11.0.tar.gz 7233889 BLAKE2B 272088c261a066d0a99cbbf2ebbc324fc34bc168290bbf0beb4012655b6b54848cc48324f36c65860518160c3fe43abb8c9a5f5b03f0cbaf7cdfb928f8fb8eea SHA512 667c5bea4144653f7c1309457b3aed1e14713f222dab8f2bb67a8e6c69e124a0efc24cd8f76e2b929d4ced045de14517f3587870682d0394ec95ba52e343e19b
+DIST openocd-0.12.0.tar.gz 8445833 BLAKE2B 82616ed1bf51588d2a19c56fab6a6944ac5fa22e07bc5f83962ff8fecd88faeceb33e2104acb3cd08710f7f96d578ccd4ef6282372ae9d206ab469b3ac70fff8 SHA512 2b95d30eb10316b5cf1b329e0214b8d9f3fbf1fda5fa5568acc8cb16cdc25aa58c211f17f9883d8e4b93bcda3f296e511c279b44d24db9303c26e6c6640540b0
diff --git a/dev-embedded/openocd/files/openocd-0.12.0-capstone-includedir.patch b/dev-embedded/openocd/files/openocd-0.12.0-capstone-includedir.patch
new file mode 100644
index 00000000000..f2dbff6520e
--- /dev/null
+++ b/dev-embedded/openocd/files/openocd-0.12.0-capstone-includedir.patch
@@ -0,0 +1,40 @@
+Bug: https://bugs.gentoo.org/889762
+diff --git a/contrib/cross-build.sh b/contrib/cross-build.sh
+index b199bf715..919a22005 100755
+--- a/contrib/cross-build.sh
++++ b/contrib/cross-build.sh
+@@ -155,7 +155,7 @@ if [ -d $CAPSTONE_SRC ] ; then
+ sed -i '1s;^;prefix=/usr \
+ exec_prefix=${prefix} \
+ libdir=${exec_prefix}/lib \
+-includedir=${prefix}/include/capstone\n\n;' $CAPSTONE_PC_FILE
++includedir=${prefix}/include\n\n;' $CAPSTONE_PC_FILE
+ fi
+
+
+diff --git a/src/target/a64_disassembler.c b/src/target/a64_disassembler.c
+index ca3d3ea7a..9579860f0 100644
+--- a/src/target/a64_disassembler.c
++++ b/src/target/a64_disassembler.c
+@@ -15,7 +15,7 @@
+
+ #if HAVE_CAPSTONE
+
+-#include <capstone.h>
++#include <capstone/capstone.h>
+
+ static void print_opcode(struct command_invocation *cmd, const cs_insn *insn)
+ {
+diff --git a/src/target/arm_disassembler.c b/src/target/arm_disassembler.c
+index 749274f36..e78d08853 100644
+--- a/src/target/arm_disassembler.c
++++ b/src/target/arm_disassembler.c
+@@ -16,7 +16,7 @@
+ #include <helper/log.h>
+
+ #if HAVE_CAPSTONE
+-#include <capstone.h>
++#include <capstone/capstone.h>
+ #endif
+
+ /*
diff --git a/dev-embedded/openocd/openocd-0.12.0.ebuild b/dev-embedded/openocd/openocd-0.12.0.ebuild
new file mode 100644
index 00000000000..aa36f537853
--- /dev/null
+++ b/dev-embedded/openocd/openocd-0.12.0.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools udev
+
+if [[ ${PV} == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI=" https://repo.or.cz/openocd.git"
+else
+ MY_PV="${PV/_/-}"
+ MY_P="${PN}-${MY_PV}"
+ S="${WORKDIR}"/${MY_P}
+ KEYWORDS="~amd64 ~arm ~x86"
+ SRC_URI="mirror://sourceforge/project/${PN}/${PN}/${MY_PV}/${MY_P}.tar.gz"
+fi
+
+DESCRIPTION="OpenOCD - Open On-Chip Debugger"
+HOMEPAGE="https://openocd.sourceforge.io"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="capstone +cmsis-dap dummy +ftdi +jlink parport +usb verbose-io"
+RESTRICT="strip" # includes non-native binaries
+
+RDEPEND="
+ acct-group/plugdev
+ >=dev-lang/jimtcl-0.81:=
+ capstone? ( dev-libs/capstone )
+ cmsis-dap? ( dev-libs/hidapi )
+ jlink? ( >=dev-embedded/libjaylink-0.2.0 )
+ usb? ( virtual/libusb:1 )
+ ftdi? ( dev-embedded/libftdi:= )"
+
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.12.0-capstone-includedir.patch"
+)
+
+src_prepare() {
+ default
+
+ AT_NO_RECURSIVE=yes eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ --enable-amtjtagaccel
+ --enable-am335xgpio
+ --enable-arm-jtag-ew
+ --enable-at91rm9200
+ --enable-bcm2835gpio
+ --enable-buspirate
+ --enable-ep93xx
+ --enable-gw16012
+ --enable-jtag_dpi
+ --enable-sysfsgpio
+ --enable-vdebug
+ --disable-internal-jimtcl
+ --disable-internal-libjaylink
+ --disable-parport-giveio
+ --disable-werror
+ $(use_with capstone)
+ $(use_enable cmsis-dap)
+ $(use_enable dummy)
+ $(use_enable ftdi openjtag)
+ $(use_enable ftdi presto)
+ $(use_enable ftdi usb-blaster)
+ $(use_enable jlink)
+ $(use_enable parport)
+ $(use_enable parport parport_ppdev)
+ $(use_enable usb aice)
+ $(use_enable usb armjtagew)
+ $(use_enable usb ftdi)
+ $(use_enable usb osbdm)
+ $(use_enable usb opendous)
+ $(use_enable usb rlink)
+ $(use_enable usb stlink)
+ $(use_enable usb ti-icdi)
+ $(use_enable usb usbprog)
+ $(use_enable usb usb-blaster-2)
+ $(use_enable usb ulink)
+ $(use_enable usb vsllink)
+ $(use_enable verbose-io verbose-jtag-io)
+ $(use_enable verbose-io verbose-usb-io)
+ $(use_enable verbose-io verbose_usb_comms)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ dostrip /usr/bin
+ udev_dorules "${ED}"/usr/share/${PN}/contrib/*.rules
+}
+
+pkg_postinst() {
+ udev_reload
+
+ elog "To access openocd devices as user you must be in the plugdev group"
+}
+
+pkg_postrm() {
+ udev_reload
+}
diff --git a/dev-embedded/openocd/openocd-9999.ebuild b/dev-embedded/openocd/openocd-9999.ebuild
index 569c77f75c2..42d4b587893 100644
--- a/dev-embedded/openocd/openocd-9999.ebuild
+++ b/dev-embedded/openocd/openocd-9999.ebuild
@@ -1,12 +1,12 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-inherit udev
+inherit autotools udev
if [[ ${PV} == *9999 ]] ; then
- inherit autotools git-r3
+ inherit git-r3
EGIT_REPO_URI=" https://repo.or.cz/openocd.git"
else
MY_PV="${PV/_/-}"
@@ -21,46 +21,45 @@ HOMEPAGE="http://openocd.sourceforge.net"
LICENSE="GPL-2+"
SLOT="0"
-IUSE="+cmsis-dap dummy +ftdi +jlink parport +usb verbose-io"
+IUSE="capstone +cmsis-dap dummy +ftdi +jlink parport +usb verbose-io"
RESTRICT="strip" # includes non-native binaries
RDEPEND="
acct-group/plugdev
- >=dev-lang/jimtcl-0.80:=
+ >=dev-lang/jimtcl-0.81:=
+ capstone? ( dev-libs/capstone )
cmsis-dap? ( dev-libs/hidapi )
jlink? ( >=dev-embedded/libjaylink-0.2.0 )
- usb? (
- virtual/libusb:0
- virtual/libusb:1
- )
+ usb? ( virtual/libusb:1 )
ftdi? ( dev-embedded/libftdi:= )"
DEPEND="${RDEPEND}"
-BDEPEND="
- sys-apps/texinfo
- virtual/pkgconfig"
+BDEPEND="virtual/pkgconfig"
src_prepare() {
default
- if [[ ${PV} == *9999 ]] ; then
- AT_NO_RECURSIVE=yes eautoreconf
- fi
+ AT_NO_RECURSIVE=yes eautoreconf
}
src_configure() {
local myconf=(
--enable-amtjtagaccel
+ --enable-am335xgpio
--enable-arm-jtag-ew
--enable-at91rm9200
--enable-bcm2835gpio
--enable-buspirate
--enable-ep93xx
--enable-gw16012
+ --enable-jtag_dpi
--enable-sysfsgpio
+ --enable-vdebug
--disable-internal-jimtcl
--disable-internal-libjaylink
+ --disable-parport-giveio
--disable-werror
+ $(use_with capstone)
$(use_enable cmsis-dap)
$(use_enable dummy)
$(use_enable ftdi openjtag)
diff --git a/dev-embedded/parapin/metadata.xml b/dev-embedded/parapin/metadata.xml
index 11ed856f4e7..83bca1eaea3 100644
--- a/dev-embedded/parapin/metadata.xml
+++ b/dev-embedded/parapin/metadata.xml
@@ -6,12 +6,12 @@
<name>Embedded Gentoo</name>
</maintainer>
<longdescription>
-Parapin makes it easy to write C code under Linux that controls individual pins on a PC parallel port. This kind of control is very useful for
-electronics projects that use the PC's parallel port as a generic digital I/O interface. Parapin goes to great lengths to insulate the programmer
-from the somewhat complex parallel port programming interface provided by the PC hardware, making it easy to use the parallel port for digital
-I/O. By the same token, this abstraction also makes Parapin less useful in applications that need to actually use the parallel port as a parallel
-port (e.g., for talking to a printer).
-</longdescription>
+ Parapin makes it easy to write C code under Linux that controls individual pins on a PC parallel port. This kind of control is very useful for
+ electronics projects that use the PC's parallel port as a generic digital I/O interface. Parapin goes to great lengths to insulate the programmer
+ from the somewhat complex parallel port programming interface provided by the PC hardware, making it easy to use the parallel port for digital
+ I/O. By the same token, this abstraction also makes Parapin less useful in applications that need to actually use the parallel port as a parallel
+ port (e.g., for talking to a printer).
+ </longdescription>
<upstream>
<remote-id type="sourceforge">parapin</remote-id>
</upstream>
diff --git a/dev-embedded/picotool/picotool-1.1.0.ebuild b/dev-embedded/picotool/picotool-1.1.0.ebuild
index 87931418a25..bd7b207bbca 100644
--- a/dev-embedded/picotool/picotool-1.1.0.ebuild
+++ b/dev-embedded/picotool/picotool-1.1.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
# |- pico-sdk (BSD)
LICENSE="BSD MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
RDEPEND="virtual/libusb:1"
DEPEND="${RDEPEND}"
diff --git a/dev-embedded/platformio/Manifest b/dev-embedded/platformio/Manifest
index c0feb85128e..7c820c46686 100644
--- a/dev-embedded/platformio/Manifest
+++ b/dev-embedded/platformio/Manifest
@@ -1,2 +1 @@
-DIST platformio-6.0.2.tar.gz 285452 BLAKE2B c70523837b5118fcc1209a36a425fb6ab0aac73e56732916ff3d39fe87d50a47bf7d31d77324f491093ed366b1b3e4f88274e973bc896b164f5a07687a53bd12 SHA512 a2e48ad9ca22024a06509a9e36e5a7586088d0e8abd67d309d1988a8a112a41e301f077f1b466b5db390dc4048add570acd5bb762bbf22db69715dead0d8fc89
-DIST platformio-6.1.4.tar.gz 290408 BLAKE2B 41a977d9b5e51a1e65ef61973301ab6e7e9ad0adbe6d4df2640b13f46623055df8303435a664acdd267ad8811229687b6abb088d5b331c33fb46bbe33ab188b1 SHA512 8c46b21212de2fb7579540c51b17061666b8abe4706800fe30fea053cb4233c17a03c2388295f9fb3a21602126f0c2c13f1dd80db962ef1b3d5c31c9a30791c7
+DIST platformio-6.1.5.tar.gz 290684 BLAKE2B 1beca08e70f6a932426e13e6b4755188ad2ac266c4b311b2e6ea560623ccc7479ad5fa1955c09e613eb62682164d1952be3b7f050a26d5a5b6bff26435bb2337 SHA512 43835a40636091d7062a1cbd96950ddb29592aba6c4eaeb80f37288f949bd95f3312cb5f33814cf8521e3b5bd3ceeb2e32e76c294ef5cbf992ed3c674d4a9ab7
diff --git a/dev-embedded/platformio/files/platformio-5.2.5-fix-semantic-version-dep.patch b/dev-embedded/platformio/files/platformio-5.2.5-fix-semantic-version-dep.patch
deleted file mode 100644
index 1fa92fed878..00000000000
--- a/dev-embedded/platformio/files/platformio-5.2.5-fix-semantic-version-dep.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-https://bugs.gentoo.org/853247
---- a/setup.py
-+++ b/setup.py
-@@ -35,7 +35,7 @@ minimal_requirements = [
- "pyelftools>=0.27,<1",
- "pyserial==3.*",
- "requests==2.*",
-- "semantic_version==2.9.*",
-+ "semantic_version==2.*",
- "tabulate==0.8.*",
- ]
-
diff --git a/dev-embedded/platformio/platformio-6.1.4.ebuild b/dev-embedded/platformio/platformio-6.1.4.ebuild
deleted file mode 100644
index 827140a1fea..00000000000
--- a/dev-embedded/platformio/platformio-6.1.4.ebuild
+++ /dev/null
@@ -1,116 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1 udev
-
-DESCRIPTION="An open source ecosystem for IoT development"
-HOMEPAGE="https://platformio.org/"
-SRC_URI="https://github.com/platformio/platformio-core/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}"/${PN}-core-${PV}
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- $(python_gen_cond_dep '
- <dev-python/aiofiles-0.9[${PYTHON_USEDEP}]
- dev-python/ajsonrpc[${PYTHON_USEDEP}]
- <dev-python/bottle-0.13[${PYTHON_USEDEP}]
- >=dev-python/click-8[${PYTHON_USEDEP}]
- <dev-python/click-9[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- >=dev-python/pyserial-3[${PYTHON_USEDEP}]
- <dev-python/pyserial-4[${PYTHON_USEDEP}]
- >=dev-python/requests-2.4[${PYTHON_USEDEP}]
- <dev-python/requests-3[${PYTHON_USEDEP}]
- >=dev-python/semantic_version-2.9[${PYTHON_USEDEP}]
- <dev-python/semantic_version-3[${PYTHON_USEDEP}]
- >=dev-python/tabulate-0.8.3[${PYTHON_USEDEP}]
- <dev-python/tabulate-1[${PYTHON_USEDEP}]
- dev-python/twisted[${PYTHON_USEDEP}]
- >=dev-python/pyelftools-0.25[${PYTHON_USEDEP}]
- <dev-python/pyelftools-1[${PYTHON_USEDEP}]
- >=dev-python/marshmallow-2.20.5[${PYTHON_USEDEP}]
- =dev-python/starlette-0.18*[${PYTHON_USEDEP}]
- =dev-python/uvicorn-0.17*[${PYTHON_USEDEP}]
- dev-python/wsproto[${PYTHON_USEDEP}]
- >=dev-python/zeroconf-0.37[${PYTHON_USEDEP}]
- ')
- virtual/udev"
-DEPEND="virtual/udev"
-BDEPEND="test? ( $(python_gen_cond_dep 'dev-python/jsondiff[${PYTHON_USEDEP}]') )"
-
-# This list could be refined a bit to have individual tests which need network
-# (within EPYTEST_DESELECT) but so many need it that it doesn't seem worth it right now.
-EPYTEST_IGNORE=(
- # Requires network access
- tests/test_builder.py
- tests/package/test_manager.py
- tests/package/test_manifest.py
- tests/commands/test_platform.py
- tests/commands/test_test.py
- tests/commands/test_ci.py
- tests/commands/test_init.py
- tests/commands/test_lib.py
- tests/commands/test_lib_complex.py
- tests/commands/test_boards.py
- tests/commands/test_check.py
- tests/commands/test_run.py
- tests/commands/pkg/test_exec.py
- tests/commands/pkg/test_list.py
- tests/commands/pkg/test_outdated.py
- tests/commands/pkg/test_search.py
- tests/commands/pkg/test_show.py
- tests/commands/pkg/test_install.py
- tests/commands/pkg/test_uninstall.py
- tests/commands/pkg/test_update.py
- tests/misc/ino2cpp/test_ino2cpp.py
- tests/test_maintenance.py
- tests/test_misc.py
-)
-
-EPYTEST_DESELECT=(
- # Requires network access
- tests/misc/test_maintenance.py::test_check_pio_upgrade
- tests/misc/test_misc.py::test_ping_internet_ips
- tests/misc/test_misc.py::test_api_cache
-)
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # Allow newer versions of zeroconf, Bug #831181.
- # Also wsproto.
- # ... and semantic_version, bug #853247.
- sed \
- -e '/zeroconf/s/<[0-9.*]*//' \
- -e '/wsproto/s/==.*/"/' \
- -e '/semantic_version/s/==[0-9.*]*//' \
- -i setup.py || die
-
- default
-}
-
-python_test() {
- epytest -k "not skip_ci"
-}
-
-src_install() {
- distutils-r1_src_install
- udev_dorules scripts/99-platformio-udev.rules
-}
-
-pkg_postinst() {
- udev_reload
-}
-
-pkg_postrm() {
- udev_reload
-}
diff --git a/dev-embedded/platformio/platformio-6.0.2-r1.ebuild b/dev-embedded/platformio/platformio-6.1.5.ebuild
index 827140a1fea..ca5e00e204c 100644
--- a/dev-embedded/platformio/platformio-6.0.2-r1.ebuild
+++ b/dev-embedded/platformio/platformio-6.1.5.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit distutils-r1 udev
@@ -20,28 +20,25 @@ KEYWORDS="~amd64 ~x86"
RDEPEND="
$(python_gen_cond_dep '
- <dev-python/aiofiles-0.9[${PYTHON_USEDEP}]
+ =dev-python/aiofiles-22.1*[${PYTHON_USEDEP}]
dev-python/ajsonrpc[${PYTHON_USEDEP}]
<dev-python/bottle-0.13[${PYTHON_USEDEP}]
- >=dev-python/click-8[${PYTHON_USEDEP}]
- <dev-python/click-9[${PYTHON_USEDEP}]
+ =dev-python/click-8*[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
>=dev-python/pyserial-3[${PYTHON_USEDEP}]
<dev-python/pyserial-4[${PYTHON_USEDEP}]
- >=dev-python/requests-2.4[${PYTHON_USEDEP}]
- <dev-python/requests-3[${PYTHON_USEDEP}]
+ >=dev-python/python-zeroconf-0.37[${PYTHON_USEDEP}]
+ =dev-python/requests-2*[${PYTHON_USEDEP}]
>=dev-python/semantic_version-2.9[${PYTHON_USEDEP}]
<dev-python/semantic_version-3[${PYTHON_USEDEP}]
- >=dev-python/tabulate-0.8.3[${PYTHON_USEDEP}]
- <dev-python/tabulate-1[${PYTHON_USEDEP}]
+ =dev-python/tabulate-0.9*[${PYTHON_USEDEP}]
dev-python/twisted[${PYTHON_USEDEP}]
- >=dev-python/pyelftools-0.25[${PYTHON_USEDEP}]
+ >=dev-python/pyelftools-0.27[${PYTHON_USEDEP}]
<dev-python/pyelftools-1[${PYTHON_USEDEP}]
- >=dev-python/marshmallow-2.20.5[${PYTHON_USEDEP}]
- =dev-python/starlette-0.18*[${PYTHON_USEDEP}]
- =dev-python/uvicorn-0.17*[${PYTHON_USEDEP}]
+ =dev-python/marshmallow-3*[${PYTHON_USEDEP}]
+ =dev-python/starlette-0.21*[${PYTHON_USEDEP}]
+ =dev-python/uvicorn-0.19*[${PYTHON_USEDEP}]
dev-python/wsproto[${PYTHON_USEDEP}]
- >=dev-python/zeroconf-0.37[${PYTHON_USEDEP}]
')
virtual/udev"
DEPEND="virtual/udev"
diff --git a/dev-embedded/rpi-eeprom/Manifest b/dev-embedded/rpi-eeprom/Manifest
index 0f47eba90fb..8c567d881e2 100644
--- a/dev-embedded/rpi-eeprom/Manifest
+++ b/dev-embedded/rpi-eeprom/Manifest
@@ -1,4 +1,6 @@
+DIST rpi-eeprom_13.19-1.debian.tar.xz 10436 BLAKE2B 671848322ffeeca689b4df6d95fc496cadfa1f92395de6520009d72d0adbe5e03b0188d9c1a46302d933139fa1640b88f3757ad75fd5a23461fcef95000078b5 SHA512 3894c1a81f3d20ea649276d946f8f9a3c92bcc0ae2202c1c195c6b51451e7e802b01eec28f0f58902cc2d223af33348c7bcc04f540baca0e00a844af7e2b2871
+DIST rpi-eeprom_13.19.orig.tar.gz 26425535 BLAKE2B dbba45cc72f2cad6c685416fe94915d904b5d7bd0df369d7eb38573bcc27190cf865ba42a94b1da2b1b0ca3ec9201a94ac6f0917882e3ab1d6613fd5369d7168 SHA512 c70cf6afd30235ada967c3e3294df426a092fce8f7ca50f6ce98105bd7f68fe83f2b96d2ed39715f48f0330887861fcfb76c2eed0cc0d854e9a9e9eddc289e5a
DIST rpi-eeprom_13.3-1.debian.tar.xz 12768 BLAKE2B 823b1f25cda98cb2888b6b423b6120f5c1474735c58933ac11fe9380fa31fcbef260afb2ebcced423301bee207c171c5ccea3ba9c8cc4dae579c2dba55a60cba SHA512 0b8e15b1c827506dcdf7a6f19acd1ceb32f0901b9c438994af7f1e38a0ced05b7f123225ae8ecca4147ce04e1d7500ddcdfaeddeb90f0342af2dee9e4ffbfe04
DIST rpi-eeprom_13.3.orig.tar.gz 17497524 BLAKE2B f65fc9b6a98dd3a4d3f4095e03279d832a64d0f12f9edd7e7af2b8afe8b290f4db6ec39e755df9fb5b317930235bf1c7205be4b3f838f6cbbf92e1d80574b342 SHA512 d5885444fd90a5f24c94a3af4f093744f4a63947a119059c851cd6639e572138205a48f7cd126c3deafe104e76985197e1fa36c8aa72a16bb173f11750b85151
-DIST rpi-eeprom_13.8-1.debian.tar.xz 13232 BLAKE2B a5c4a12eca86a5f44c6a18e06c3108a353adca055facd80ced42dfcdd518508358823bd31ef051b29dd47e46c59f056c36dc6628144c192eec26c57fc0658095 SHA512 dba8342af463a9d628a1f71dd30df803699a858873dc618a25aa4be682e5357d090345346ff686cb2c1bde7ad678362bf138f952115f186c841414354066a291
-DIST rpi-eeprom_13.8.orig.tar.gz 19328304 BLAKE2B 0cc9fcb2f30065494d8d4d8fd22930ad0229a38f67f02aa091269a099421c6e2781135c2a71dc10b2992832b443cc44e782f2bda424eb11539d0d6d858635129 SHA512 24675a0cc10f6ffc2e170da24999f5310ade1585618adfaf763b8dc1784639044bfdb5cbe513c3369056bb90c482ee65cd518b4161c54c0641feeb132552b1aa
+DIST rpi-eeprom_15.0-1.debian.tar.xz 10720 BLAKE2B c8915ebf859ebb1ea3a48af8077539a2513151f94b6965641970b717ad5a6693f4aa3867f241ce9cad5f47d371e7bfaaaa1e1fc34bad3e8059c7840bc5d567aa SHA512 92652b52eaf0d56c95ed23fcc5b4afe599e92d9331259d7450766cb53e06598bf3381a8716cf996c48fc2a20187523fc47e63aa365b2221c16284220042be3b8
+DIST rpi-eeprom_15.0.orig.tar.gz 29800286 BLAKE2B ceda9bdc412a32443d0cb3fa444d1091f0f53215a5be6c546384a11f7fa28592d43bdf23f04a33925601b5e76e510b054b214d262904f03aafa2b959fcb5fc1e SHA512 eddea0c8057e13991e3a6493146c8785607162342321d48048ba5760ecc7f1c6687a03edffcd0be4a5549c333cdbb20e88d407c4212334e18178fb86cc6cd0a4
diff --git a/dev-embedded/rpi-eeprom/rpi-eeprom-13.8_p1.ebuild b/dev-embedded/rpi-eeprom/rpi-eeprom-13.19_p1.ebuild
index 262839cd17c..aa705d4d9db 100644
--- a/dev-embedded/rpi-eeprom/rpi-eeprom-13.8_p1.ebuild
+++ b/dev-embedded/rpi-eeprom/rpi-eeprom-13.19_p1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit python-r1 systemd
diff --git a/dev-embedded/rpi-eeprom/rpi-eeprom-13.3_p1-r1.ebuild b/dev-embedded/rpi-eeprom/rpi-eeprom-13.3_p1-r1.ebuild
index de2223baedb..492ca6b9da3 100644
--- a/dev-embedded/rpi-eeprom/rpi-eeprom-13.3_p1-r1.ebuild
+++ b/dev-embedded/rpi-eeprom/rpi-eeprom-13.3_p1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{9..10} )
inherit python-r1 systemd
diff --git a/dev-embedded/rpi-eeprom/rpi-eeprom-15.0_p1.ebuild b/dev-embedded/rpi-eeprom/rpi-eeprom-15.0_p1.ebuild
new file mode 100644
index 00000000000..aa705d4d9db
--- /dev/null
+++ b/dev-embedded/rpi-eeprom/rpi-eeprom-15.0_p1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit python-r1 systemd
+
+MY_P="${PN}-$(ver_cut 1-2)"
+MY_BASE_URL="https://archive.raspberrypi.org/debian/pool/main/r/${PN}/${PN}_$(ver_cut 1-2)"
+DESCRIPTION="Updater for Raspberry Pi 4 bootloader and the VL805 USB controller"
+HOMEPAGE="https://github.com/raspberrypi/rpi-eeprom/"
+SRC_URI="${MY_BASE_URL}-$(ver_cut 4).debian.tar.xz
+ ${MY_BASE_URL}.orig.tar.gz"
+S="${WORKDIR}"
+
+LICENSE="BSD rpi-eeprom"
+SLOT="0"
+KEYWORDS="~arm ~arm64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="sys-apps/help2man"
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${PYTHON_DEPS}
+ sys-apps/flashrom
+ sys-apps/pciutils
+ || (
+ >=media-libs/raspberrypi-userland-0_pre20201022
+ >=media-libs/raspberrypi-userland-bin-1.20201022
+ )"
+
+src_prepare() {
+ default
+ sed -i \
+ -e 's:/etc/default/rpi-eeprom-update:/etc/conf.d/rpi-eeprom-update:' \
+ "${MY_P}/rpi-eeprom-update" || die "Failed sed on rpi-eeprom-update"
+ sed -i \
+ -e 's:/usr/bin/rpi-eeprom-update:/usr/sbin/rpi-eeprom-update:' \
+ "debian/rpi-eeprom.rpi-eeprom-update.service" || die "Failed sed on rpi-eeprom.rpi-eeprom-update.service"
+}
+
+src_install() {
+ pushd "${MY_P}" 1>/dev/null || die "Cannot change into directory ${MY_P}"
+
+ python_scriptinto /usr/sbin
+ python_foreach_impl python_newscript rpi-eeprom-config rpi-eeprom-config
+
+ dosbin rpi-eeprom-update rpi-eeprom-digest
+ keepdir /var/lib/raspberrypi/bootloader/backup
+
+ for dir in critical stable beta; do
+ insinto /lib/firmware/raspberrypi/bootloader
+ doins -r firmware/${dir}
+ done
+
+ dodoc firmware/release-notes.md
+
+ help2man -N \
+ --version-string="${PV}" --help-option="-h" \
+ --name="Bootloader EEPROM configuration tool for the Raspberry Pi 4B" \
+ --output=rpi-eeprom-config.1 ./rpi-eeprom-config || die "Failed to create manpage for rpi-eeprom-config"
+
+ help2man -N \
+ --version-string="${PV}" --help-option="-h" \
+ --name="Checks whether the Raspberry Pi bootloader EEPROM is \
+ up-to-date and updates the EEPROM" \
+ --output=rpi-eeprom-update.1 ./rpi-eeprom-update || die "Failed to create manpage for rpi-eeprom-update"
+
+ doman rpi-eeprom-update.1 rpi-eeprom-config.1
+
+ newconfd rpi-eeprom-update-default rpi-eeprom-update
+
+ popd 1>/dev/null || die
+
+ pushd debian 1>/dev/null || die "Cannot change into directory debian"
+
+ systemd_newunit rpi-eeprom.rpi-eeprom-update.service rpi-eeprom-update.service
+ newdoc changelog changelog.Debian
+
+ popd 1>/dev/null || die
+
+ newinitd "${FILESDIR}/init.d_rpi-eeprom-update-1" "rpi-eeprom-update"
+}
+
+pkg_postinst() {
+ elog 'To have rpi-eeprom-update run at each startup, enable and start either'
+ elog '/etc/init.d/rpi-eeprom-update (for openrc users)'
+ elog 'or'
+ elog 'rpi-eeprom-update.service (for systemd users)'
+ elog '/etc/conf.d/rpi-eeprom-update contains the configuration.'
+ elog 'FIRMWARE_RELEASE_STATUS="critical|stable|beta" determines'
+ elog 'which release track you get. "critical" is recommended and the default.'
+}
diff --git a/dev-embedded/u-boot-tools/Manifest b/dev-embedded/u-boot-tools/Manifest
index 5781b290f80..cf31e2af825 100644
--- a/dev-embedded/u-boot-tools/Manifest
+++ b/dev-embedded/u-boot-tools/Manifest
@@ -1 +1,2 @@
-DIST u-boot-2022.07.tar.bz2 18087759 BLAKE2B bb78c7ccd56f12ebc622fb73d29cbf0a5db9d421133b191a6591845b4842b111145d2df649bae69011284bd468b8219ee0df20b61660ea4ec52006a93e14f09d SHA512 e1b3621dafac876c644ffb3d24b6e2380f5a78454c420a5b17d174e3f0b57731a95cfbff28ae7d0af4493f4bbf8d21e7f9236d61bb2414ed12295332b3d557b6
+DIST u-boot-2022.10.tar.bz2 18365430 BLAKE2B 42aa7a6f131735888939982e579de4342e3909e064ab896b0df6f1ff56c20ed6cb11d25286da7c052a5f67dcef6fa7a746944d8df6dd504586f5a71502d157e1 SHA512 95bc1f915a3349f6045e59f46d8514485ca0de1d62303f7026b8e59f3ac539b9545895e0dd736ed7b26f28239db31672ecad2accc3fd99356a55269697039147
+DIST u-boot-2023.01.tar.bz2 18560442 BLAKE2B 9412da6c7c8da8be64e470347d150ea2ba9a33b84f463c8ff3109e3db6c2dbcf13c8ab2e02bf3a2c412ff57c91987da922e4dde6a26e317e7b9e65101f7a6d62 SHA512 417a28267eb7875820d08fafc7316f164663609378637539e71648b0b9b7d28796b6c381717f31b0ab6472805fefd32628ef7d1b2e7b9f3c51c8ad122993f679
diff --git a/dev-embedded/u-boot-tools/u-boot-tools-2022.07.ebuild b/dev-embedded/u-boot-tools/u-boot-tools-2022.10.ebuild
index 4b8ceb9f6cd..5c8bda198cc 100644
--- a/dev-embedded/u-boot-tools/u-boot-tools-2022.07.ebuild
+++ b/dev-embedded/u-boot-tools/u-boot-tools-2022.10.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ~ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv x86"
IUSE="envtools"
RDEPEND="dev-libs/openssl:="
diff --git a/dev-embedded/u-boot-tools/u-boot-tools-2023.01.ebuild b/dev-embedded/u-boot-tools/u-boot-tools-2023.01.ebuild
new file mode 100644
index 00000000000..4d5d5d18ec5
--- /dev/null
+++ b/dev-embedded/u-boot-tools/u-boot-tools-2023.01.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P="u-boot-${PV/_/-}"
+DESCRIPTION="utilities for working with Das U-Boot"
+HOMEPAGE="https://www.denx.de/wiki/U-Boot/WebHome"
+SRC_URI="https://ftp.denx.de/pub/u-boot/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="envtools"
+
+RDEPEND="dev-libs/openssl:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-lang/swig
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ sed -i 's:\bpkg-config\b:${PKG_CONFIG}:g' \
+ scripts/kconfig/{g,m,n,q}conf-cfg.sh \
+ scripts/kconfig/Makefile \
+ tools/Makefile || die
+}
+
+src_configure() {
+ tc-export AR BUILD_CC CC PKG_CONFIG
+ tc-export_build_env
+}
+
+src_compile() {
+ # Unset a few KBUILD variables. Bug #540476
+ unset KBUILD_OUTPUT KBUILD_SRC
+
+ local myemakeargs=(
+ V=1
+ AR="${AR}"
+ CC="${CC}"
+ HOSTCC="${BUILD_CC}"
+ HOSTCFLAGS="${BUILD_CFLAGS} ${BUILD_CPPFLAGS}"' $(HOSTCPPFLAGS)'
+ HOSTLDFLAGS="${BUILD_LDFLAGS}"
+ )
+
+ emake "${myemakeargs[@]}" tools-only_defconfig
+
+ emake "${myemakeargs[@]}" \
+ NO_SDL=1 \
+ HOSTSTRIP=: \
+ STRIP=: \
+ CONFIG_ENV_OVERWRITE=y \
+ $(usex envtools envtools tools-all)
+}
+
+src_test() { :; }
+
+src_install() {
+ cd tools || die
+
+ if ! use envtools; then
+ dobin bmp_logo dumpimage fdtgrep gen_eth_addr img2srec mkenvimage mkimage
+ fi
+
+ dobin env/fw_printenv
+
+ dosym fw_printenv /usr/bin/fw_setenv
+
+ insinto /etc
+ doins env/fw_env.config
+
+ doman ../doc/mkimage.1
+}
diff --git a/dev-embedded/uisp/metadata.xml b/dev-embedded/uisp/metadata.xml
index 98ae10b3c34..e7bfe1daed8 100644
--- a/dev-embedded/uisp/metadata.xml
+++ b/dev-embedded/uisp/metadata.xml
@@ -1,8 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>embedded@gentoo.org</email>
- <name>Embedded Gentoo</name>
-</maintainer>
+ <maintainer type="project">
+ <email>embedded@gentoo.org</email>
+ <name>Embedded Gentoo</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="savannah-nongnu">uisp</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/dev-embedded/xa/xa-2.3.13.ebuild b/dev-embedded/xa/xa-2.3.13.ebuild
index 8ae78aaa630..ddaef3e9cb4 100644
--- a/dev-embedded/xa/xa-2.3.13.ebuild
+++ b/dev-embedded/xa/xa-2.3.13.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.floodgap.com/retrotech/xa/dists/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 x86"
PATCHES=(
"${FILESDIR}"/${PN}-2.3.10-Makefile.patch